%simple test temporal boost

Nrounds = 50; %number of rounds 
MaxT = 10; % maximum temporal window used

%load data generated from two diferent trajectories with noise. The data
%have 2 features, (X,Y) position
load TwoClassDataExample 
%GentLabel - labels used
%dataTrain - data used to train (2x180)
%dataTest - data used to test (2x180)

%train temporal boost
[classifier,hitsTrain,Cx] = gentleTemporalBoost(dataTrain, GentLabel, Nrounds, MaxT);

%test temporal boost
 [Cx, Fx , Tmax, hitsTest,phis,chis] = strongGentleTemporalClassifier( dataTest, GentLabel, classifier,0);
 
 figure;hold on;
 plot(hitsTrain);
 plot(hitsTest,'r');
 legend('Train','Test')